## wxd 0.1-1.1

=== Makefile ===
#
# Makefile for radiod
#
# $Id: Makefile,v 1.10 1996/09/04 06:43:55 ron Exp $
#
AFOBJ = afosmain.o afloop.o afui.o time.o afio.o afnet.o logwin.c affilt.o \
	afhist.o afconfig.o afport.o affile.o aflog.o aftcp.o \
	afproc.o afpipe.o afaprs.o
APRSOBJ = afloop.o aprs.o
TESTOBJ = porttest.o afconfig.o afport.o affile.o aflog.o aftcp.o \
	afproc.o afpipe.o afaprs.o
OPTFLAGS = -DSTDERR_REDIRECT

.c.o:
	cc -c $(OPTFLAGS) $(CFLAGS) $*.c

wxd: $(AFOBJ)
	cc -c $(OPTFLAGS) -o afversion.o afversion.c
	cc -o wxd afversion.o $(AFOBJ) -lcurses

afosd: $(AFOBJ)
	cc -c $(OPTFLAGS) -o afversion.o afversion.c
	cc -o afosd afversion.o $(AFOBJ) -lcurses

tcpclient: tcpclient.o afloop.o
	cc -o tcpclient tcpclient.o afloop.o

uitest: afui.o uitest.o afloop.o afversion.o logwin.o affilt.o afhist.o
	cc -o uitest afui.o uitest.o afloop.o afversion.o logwin.o affilt.o\
		afhist.o -lcurses

porttest: $(TESTOBJ)
	cc -o porttest $(TESTOBJ)

aprsd: $(APRSOBJ)
	cc -c -o afversion.o afversion.c
	cc  afversion.o $(APRSOBJ) -lc -o aprsd

clean:
	rm -f *.o afosd tcpclient uitest porttest aprsd wxd
