=== debian/changelog ===
wxd (0.1-1.1) unstable; urgency=low

  * NMU, fixes release critical bug #50328. Fixed weatherd ownership
    of several files at the right time in postinst.
  * Updated standards version.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 20 Nov 1999 17:22:53 +0100

wxd (0.1-1) unstable; urgency=low

  * initial ipip package for Debian
  * initial pre-release

 -- Ron Luse <ron@rf.org>  Thu,  8 Oct 1998 03:41:52 -0500

	History:

	8/96: Code developed, installed at DVN and packet server
		  in Cedar Rapids.


Local variables:
mode: debian-changelog
End:
