=== debian/control ===
Source: wxd
Section: hamradio
Priority: extra
Maintainer: Ron Luse <ron@rf.org>
Standards-Version: 3.0.0

Package: wxd
Architecture: any
Depends: ${shlibs:Depends}
Description: Weather Daemon gates NWS data to packet radio.
 This daemon acts as a gateway of weather service data between the
 United States National Weather Service data infrastructure, and 
 the amateur radio service's packet radio network.
 .
 Unless you are installing a packet gateway at an NWS office, you
 probably don't want this.
