=== debian/rules ===
#!/usr/bin/make -f
# rules file for the wxd package, requires debhelper
#
# Based on ipip package which has a copyright of:
# copyright 1998 by Bdale Garbee, distributed under the terms of the GPL
# This Derived work has a copyright of:
# copyright 1998 by Ron Luse, distributed under the terms of the GPL

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -s wxd debian/tmp/usr/sbin
	install wxd-start debian/tmp/usr/sbin
	install --mode=644 examples/ports debian/tmp/etc/wxd/ports
	install --mode=644 examples/filter debian/tmp/etc/wxd/filter
	install -d --mode=0755 debian/tmp/var/log/wxd
	install -d --mode=0755 debian/tmp/var/spool/wxd
	install -d --mode=0755 debian/tmp/var/lib/wxd

	dh_installdocs
	dh_installexamples examples/*
	dh_installmenu
	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms

#	install wxd debian/tmp/usr/sbin
#	install --mode=755 wxd-start debian/tmp/usr/sbin
#	install examples/ports debian/tmp/etc/wxd/ports
#	install --owner=weatherd examples/filter debian/tmp/etc/wxd/filter
#	install -d --owner=weatherd --mode=2755 debian/tmp/var/log/wxd
#	install -d --owner=weatherd --mode=2755 debian/tmp/var/spool/wxd
#	install -d --owner=weatherd --mode=2755 debian/tmp/var/lib/wxd

	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
#	dh_du
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
